javax.xml.xquery

## Interface XQItem

All Superinterfaces:
  XQItemAccessor

All Known Subinterfaces:
  XQResultItem

    public interface XQItem
    extends XQItemAccessor

This interface represents an item in the XDM.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the item and release all the resources associated with this item.
`boolean` `isClosed()` Checks if the item is closed.

### Methods inherited from interface javax.xml.xquery.XQItemAccessor

`getAtomicValue, getBoolean, getByte, getDouble, getFloat, getInt, getItemAsStream, getItemAsString, getItemType, getLong, getNode, getNodeUri, getObject, getShort, instanceOf, writeItem, writeItem, writeItemToResult, writeItemToSAX`

### Method Detail

#### close

    void close()
        throws XQException

Close the item and release all the resources associated with this item. No method other than the `isClosed` or `close` method may be called once the item is closed. Calling close on an `XQItem` object that is already closed has no effect.

Throws:
  `XQException` - if there is an error during closing the item

#### isClosed

    boolean isClosed()

Checks if the item is closed.

Returns:
  `boolean` `true` if the item is in a closed state, `false` otherwise

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.